Subject: Re: bug#16078: Extensive docs and tests for `ruby-forward-string' (PATCH)

From: Cameron Desautels <[email-masked]>
Date: Wed, 11 Dec 2013 16:48:58 -0600

On Sun, Dec 8, 2013 at 10:07 PM, Dmitry Gutov <[email-masked]> wrote:

> Speaking of the tests, though, the way they are now, they only cover one
> parsing/indentation engine. If they were written to be more high-level,
> say, testing indentation or the IMenu index generation, they could touch
> both engines, which would be better.

I agree completely. But I didn't have my head around how all of the code
worked and I wanted to contribute as I could. Plus I though it would be
best to include some tests for my work, even if they weren't as high level
as would be ideal.

Let me know what else you need from me.

-- 
Cameron Desautels <[email-masked]>